Role Name
=========

Setup MariaDB replication

Requirements
------------

Two MariaDB-Servers

Role Variables
--------------
Variable | Context | Description
---|---|---
`db_server_id` | host var/inventory | 1 is primary/master, other is replica/slave
`db_repl_user` | (defaults) | Repliation user name
`db_repl_password` | (defaults) | Replication password
`db_debug` | (undefined) | Print some debug information
`hostname_replication_primary` | (REQUIRED/undefined) | hostname of primary

Dependencies
------------

- None

Example Playbook
----------------

    - hosts: db-servers
      roles:
        - role: mariadb-replication
          vars:
            hostname_replication_primary: groups.db-servers[0]
            db_debug: true

License
-------

GPL-2.0-or-later

Author Information
------------------

- Sven Velt <sven-ansiblerole@velt.biz>
- https://git.velt.biz/velt.biz/

